Autor Téma: Re:Nvidia drivery pro Debian snadno a rychle  (Přečteno 148 krát)

Offline Petr Blažíček

  • Nováček
  • *
  • Příspěvků: 4
    • Zobrazit profil
  • Jabber: lactarius
Re:Nvidia drivery pro Debian snadno a rychle
« kdy: 31. 07. 2019, 17:12:26 »
Ahoj vespolek,
mám dotaz ohledně starší grafiky, konkrétně GeForce 6150SE, tyto karty (myslím že řada GF 8xxx a nižší) byly označeny jako deprecated, s tím, že jsou oficiálně podporovány do verze 9. To sedí, v Debian Stretch lze bez problémů nainstalovat. Ovšem ono vlastně záleží na jádru. Já se přiznám, že jsem po dlouhém váhání přešel na Siduction (mimochodem, nejen že to není FrankenDebian pokus, ale skvělá a udržovaná distribuce) - a poslední verze jádra, u které jsem byl úspěšný je 4.16.8, čili potvrdíte mi, že abych nainstaloval starší grafiku u novější verze, je potřeba ovladače ručně přidat a zkompilovat ?
Díky.

Přesunuto. Nepatří mezi návody.
RH
« Poslední změna: 01. 08. 2019, 00:13:58 od Roman Horník »

Offline Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.326
    • Zobrazit profil
  • Jabber: roman.hornik@jabber.cz
Re:Re:Nvidia drivery pro Debian snadno a rychle
« Odpověď #1 kdy: 31. 07. 2019, 22:22:07 »
Čau, záleží nejen na jádru, ale i na balíkách okolo, třeba na libc6, kompilátoru GCC, preprocesoru CPP apod.
Co se tejče kompilace samotný, stačí ze stránek NV stáhnout pro konkrétní kartu instalační soubor s příponou .run, přidat mu spustitelnost pomocí 'chmod +x soubor.run', doinstalovat závislosti (přesně si nepamatuju, dlouho jsem to nedělal, ale bude tam gcc a cpp) a spustit ho z konzole (ne z terminálu, Xka musíš shodit, například ukončením správce přihlášení). O další případný balíky nutný pro kompilaci si požádá.
Hodně štěstí!
Debian Sid 64bit + Mate Desktop Environment
* CPU: Intel Pentium G2020
* GPU: NVIDIA GTX650 1GD5
* MB: LenINovo IH61M
* RAM: 8GiB Deutsche Demokratische Republik 3

Offline Petr Blažíček

  • Nováček
  • *
  • Příspěvků: 4
    • Zobrazit profil
  • Jabber: lactarius
Re:Re:Nvidia drivery pro Debian snadno a rychle
« Odpověď #2 kdy: 31. 07. 2019, 23:23:24 »
Tak s instalátorem od NVidia jsem ještě nikdy neuspěl, vůbec první úspěch s proprietárním NV ovladačem jsem zaznamenal s nějakou Ubuntu mutací (Xubuntu), v roce 2010 jsem se natrvalo vrátil k Debianu - a od té doby to nějak všechno chodilo, dokonce ASUS noťas s Optimus kartou mi pomocí bumblebee chodil přímo ukázkově - až loni jsem narazil na problém se staršíma grafikama, takový ty řeči, že to běhá krásně s Nouveau driverem - to bohužel není pravda. Když jsem sousedovi dával čistou instalaci Buster a při scrollování stránky v Chrome to blikalo, sekal se obraz... To fakt nemá cenu.
Nicméně nemám stále potvrzenou jednu věc:
Pokud potřebný ovladač uvidím v repu, např.:
Kód: [Vybrat]
apt-cache policy nvidia-legacy-304xx-driverzjistím, že v pohodě existuje kandidát. Vypíšu závislosti
Kód: [Vybrat]
apt-cache depends nvidia-legacy-304xx-drivera zjistím, že bez problémů. Ovšem přepnu-li na vyšší jádro, vyhučí to na závislosti. Čili nemám jinou možnost, než nastudovat kompilaci jádra a jádro zkompilovat s přidaným balíkem (ovladač + závislosti). Je to tak?
Dík...
(Doufám, že nespamuju...)

Offline Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.326
    • Zobrazit profil
  • Jabber: roman.hornik@jabber.cz
Re:Re:Nvidia drivery pro Debian snadno a rychle
« Odpověď #3 kdy: 01. 08. 2019, 00:11:21 »
Instalátor nedělá nic jinýho, než že automatizuje kompilaci. Na to jsou potřeba následující věci:
1) Spouštět v konzoli bez bežícího grafickýho prostředí - nevím, co máš, ale dejme tomu, že se přihlašuješ přes SLiM - v konzoli pod rootem spustíš service slim stop
2) Pracuješ pod rootem
3) Splníš závislosti, nainstaluješ vývojový knihovny, o to Tě požádá instalátor
Problém bude v tom, že kompilátor bude potřebovat knihovny ve verzi vocamcaď - pocamcaď, přičemž i ta nejnovější akceptovatelná verze bude pro systém poněkud stará. Můžeš ji sice downgradovat, ale s ní pravděpodobně budeš muset downgradovat spoustu jinejch věcí, vedle knihoven taky programy. Pokud se Ti to povede, budeš mít část systému starší s tím, že ta nebude aktualizovatelná kvůli zachování funkčnosti ovladače. A protože všechno souvisí se vším, a to i v závislostech, takhle si postupně zmrazíš verze balíků celýho systému s tím, že co aktualizace, to pár šedin budeš mít navíc. Můžeš to ale zkusit.
Nebo, pokud je to desktop a má PCI-e, sežeň do toho novější grafiku, ne funglovku, to se asi nevyplatí, když tenhle čip spatřil světlo světa někdy v roce 2005, aspoň GT(X) 5xx.
Poslední možností je mít starej systém.
Debian Sid 64bit + Mate Desktop Environment
* CPU: Intel Pentium G2020
* GPU: NVIDIA GTX650 1GD5
* MB: LenINovo IH61M
* RAM: 8GiB Deutsche Demokratische Republik 3

Offline Petr Blažíček

  • Nováček
  • *
  • Příspěvků: 4
    • Zobrazit profil
  • Jabber: lactarius
Re:Nvidia drivery pro Debian snadno a rychle
« Odpověď #4 kdy: 01. 08. 2019, 14:09:10 »
Díky moc, já chtěl skutečně potvrdit nutnost ruční přípravy a kompilace jádra, asi se nějak neúplně vyjadřuju. Já jsem si tím téměř jist a přijde mi to logický, protože linux jádro je monolit, nedotahuje zvlášť mikrojádra. Jen jsem to chtěl potvrdit, ale už dám pokoj.  ;D
Pokud jde o ovladač přímo od NVidia, nikoli už zařazený do repository, jak jsem včera psal, kdysi jsem s tím mohutně experimentoval, takže samozřejmě boot do konzole bez zavedení X, o to nejde, upřímně pokud si vzpomínám, největší patálii jsem měl potlačit Nouveau ovladač - pořád mi ten NVidia instalátor hlásil chybu, že je již zaveden Nouveau driver - zkoušel jsem různý název a obsah blacklist souboru v modprobe.d - to se všechno zdařilo, ale pak zřejmě problém se závislostmi - a já to potom vzdal.
Čili pro tu kompilaci jádra je bezpodmínečně nutno použít nejnovější originál ovladač, protože i ten nejnovější balík z repository bude zastaralej - tak jsi to předpokládám myslel.
Takhle přiškrceně samosebou v současné době funguju - vždycky po instalaci systému a grafiky dám hold na ovladač a při aktualizaci zůstává při starém 8 souborů. Mám nainstalováno jádro 5.2.5, ale bootuju do 4.16.8. Proto to musím vyřešit. Že by pakovací tým do některé novější verze jádra zařadil prémiově deprecated ovladače je asi nesmysl, že... (něco jako RETRO týden v Lidlu)
Nové železo mě zas tak nezajímá, já miluju linux mimo jiné proto, že se přizpůsobí a nepožaduje to po uživateli.